# Completion

> *Definition 1*: let $(X,d)$ and $(\tilde X, \tilde d)$ be metric spaces, then
>
> 1. a mapping $T: X \to \tilde X$ is an **isometry** if $\forall x, y \in X: \tilde d(Tx, Ty) = d(x,y)$.
> 2. $(X,d)$ and $(\tilde X, \tilde d)$ are **isometric** if there exists a bijective isometry $T: X \to \tilde X$. 

Hence, isometric spaces may differ at most by the nature of their points but are indistinguishable from the viewpoint of the metric. 

Or in other words, the metric space $(\tilde X, \tilde d)$ is unique up to isometry.

> *Theorem 1*: for every metric space $(X,d)$ there exists a complete metric space $(\tilde X, \tilde d)$ that contains a subset $W$ that satisfies the following conditions
>
> 1. $W$ is a metric space isometric with $(X,d)$.
> 2. $W$ is dense in $X$.

??? note "*Proof*:"

    Will be added later.

